<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Level 3 Exercises</title>
</head>

<body>
    <script>
        console.log('Ex 19');
        const company1 = new Object();
        company1.id = 11;
        company1.name = "Tallinna Sadam";
        company1.logo = "https://www.nasdaqbaltic.com/market/logo.php?issuer=TSM";
        company1.established = "1991-12-25";
        company1.employees = 468;
        company1.revenue = 130640000;
        company1.netIncome = 24420000;
        company1.securities = 263000000;
        company1.securityPrice = 1.96;
        company1.dividends = 0.13;
        company1.marketCapitalization = 515480000;
        company1.dividendYield = 0.07;
        console.log(company1);

        console.log('Ex 20');
        const company2 = {
            id: 8,
            name: "Pro Kapital Grupp",
            logo: "https://www.nasdaqbaltic.com/market/logo.php?issuer=PKG",
            established: "1994-01-01",
            employees: 91,
            revenue: 27990000,
            netIncome: 16830000,
            securities: 56687954,
            securityPrice: 1.43,
            dividends: 0,
            marketCapitalization: 81063774.22,
            dividendYield: null
        };
        console.log(company2);

        console.log('Ex 21');
        class Company {
            constructor(id, name, logo, established) {
                this.id = id;
                this.name = name;
                this.logo = logo;
                this.established = established;
            }
        }

        const company3 = new Company(
            12, 
            'Tallinna Vesi', 
            'https://www.nasdaqbaltic.com/market/logo.php?issuer=TVE', 
            '1967-01-01'
        );

        const company4 = new Company(
            9,
            "Tallink Grupp",
            "https://www.nasdaqbaltic.com/market/logo.php?issuer=TAL",
            "1997-08-21"
        );

        console.log(company3, company4);

    </script>
</body>

</html>